Retrieves bill account meter calendarized records
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Number of years of data to return includes the current year - Defaults to 4 | string (string) | Optional |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| accrual | Boolean | equals | |
| billId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| lastNYears | Integer | equals | |
| meterId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| void | Void Flag (0/1 = N/Y) | Boolean | equals |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
BillAccountMeterResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| account | AccountChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| beginDate | The bill’s begin date | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billId | The bill identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billingPeriod | The bill’s billing period | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonActualDemand | Common actual demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonActualDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonBilledDemand | Common billed demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonBilledDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonDemand | Common demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonUse | Common use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonUsePerDay | Common use per day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commonUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| days | The number of days the bill covers | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| directCost | Direct cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| directCostPerDay | Direct cost per day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| endDate | The bill’s end date | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUse | Global use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUsePerDay | Global use per day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meter | MeterChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeActualDemand | Native actual demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeActualDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeBilledDemand | Native billed demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeBilledDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeDemand | Native demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeUse | Native use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeUsePerDay | Native use per day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| proportionalCost | Proportional cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| proportionalCostPerDay | Proportional cost per day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "account": { "accountCode": "string", "accountId": 1, "accountInfo": "string", "active": false, "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "isSubAccount": false, "vendor": {}
}, "beginDate": "2026-03-30", "billId": 1, "billingPeriod": 1, "commonActualDemand": 1.0, "commonActualDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "commonBilledDemand": 1.0, "commonBilledDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "commonDemand": 1.0, "commonDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "commonUse": 1.0, "commonUsePerDay": 1.0, "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "days": 1, "directCost": 1.0, "directCostPerDay": 1.0, "endDate": "2026-03-30", "globalUse": 1.0, "globalUsePerDay": 1.0, "globalUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "meter": { "active": false, "commodity": {}, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterId": 1, "meterInfo": "string", "meterType": {}, "serialNumber": "string"
}, "nativeActualDemand": 1.0, "nativeActualDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "nativeBilledDemand": 1.0, "nativeBilledDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "nativeDemand": 1.0, "nativeDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "nativeUse": 1.0, "nativeUsePerDay": 1.0, "nativeUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "proportionalCost": 1.0, "proportionalCostPerDay": 1.0
}
]